{% extends "layouts/base.html" %}
{# This form is basically ripped from https://mdbootstrap.com/docs/b4/jquery/forms/validation #}
{% block pageJS %}
<script type="text/javascript">
	document.addEventListener("DOMContentLoaded", function (event) {
		console.log(`Initializing page`);
			/** @type {HTMLFormElement[]} **/
			const forms = document.querySelectorAll('.needs-validation');
			forms.forEach(function (f) {
				f.addEventListener("submit", function (event) {
					if (!f.checkValidity()) {
						event.preventDefault();
						event.stopPropagation();
					}
					f.classList.add('was-validated');
				}, false);
			});	
	});	
</script>
{% endblock pageJS %}
{% set   url_submit = url_for('.api_create') %}
{% block pageContent %}
<div class="container-fluid">
	{% block    pageHeader %}
	<h1>Products - Create</h1>
	<p>This example shows how to pass basic parameters over from the browser to the server</p>
	{% endblock pageHeader %}
	
	<div class="justify-content-center">
		<form
			id="form-create-product"
			class="md-form needs-validation"
			action="{{url_submit}}" method="POST" novalidate>
			<div class="row">
				<div class="col">
					<div class="md-form input-group">
						<label class="bmd-label-floating text-light" for="form-product-name">Product Name</label>
						<input class="form-control text-light" type="text" name="name" id="form-product-name" required value={{data.name}}>
						<div   class="invalid-feedback">Please provide a valid zip.</div>	
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col">
					<div class="md-form input-group">
						<label class="bmd-label-floating text-light" for="form-product-price">Price</label>
						<input class="form-control text-light" type="text" name="price" id="form-product-price" pattern="^[0-9]+([.][0-9]+)?$" required value={{data.price}}>
						<div   class="invalid-feedback">Please provide a valid price.</div>	
					</div>
				</div>
			</div>
			
			<div class="row">
				<div class="col">
					<div class="md-form input-group">
						<label    class="bmd-label-floating text-light">Description</label>
						<textarea class="form-control md-textarea text-light" name="description" required>{{data.description}}</textarea>
						<div      class="invalid-feedback">Please write something</div>
					</div>
				</div>
			</div>
			<div class="row justify-content-center">
				<div class="col">
					<button class="btn btn-primary   waves-effect" type="submit" style="width: 100%;">Submit</button>
				</div>
				<div class="col ">
					<button class="btn btn-secondary waves-effect" type="reset"  style="width: 100%;">Reset</button>
				</div>
			</div>
		</form>
	</div>
</div>
{% endblock pageContent%}